/*-----------------------------------------------------------------------

File  : cco_eqnresolving.h

Author: Stephan Schulz

Contents
 
  Routines for the control of equality resolution.

Changes

<1> Mon Jun  8 17:10:03 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CCO_EQNRESOLVING

#define CCO_EQNRESOLVING

#include <ccl_eqnresolution.h>
#include <cco_proofstate.h>

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/




/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/

long ComputeAllEqnResolvents(TB_p bank, Clause_p clause, Clause_p
			     parent_alias, ClauseSet_p store,
			     VarBank_p freshvars);


#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





