/*-----------------------------------------------------------------------

File  : cco_factoring.h

Author: Stephan Schulz

Contents
 
  Routines for the control of factoring

Changes

<1> Mon Jun  8 17:10:03 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CCO_FACTORING

#define CCO_FACTORING

#include <ccl_factor.h>
#include <cco_proofstate.h>

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/




/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/


long ComputeAllOrderedFactors(TB_p bank, OCB_p ocb,
			      Clause_p clause, Clause_p parent_alias,
			      ClauseSet_p store, VarBank_p freshvars);



#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





