/*-----------------------------------------------------------------------

File  : che_fifo.h

Author: Stephan Schulz

Contents
 
  FIFO-Evaluation of a clause/

Changes

<1> Sat Jul  5 02:28:25 MET DST 1997
    New

-----------------------------------------------------------------------*/

#ifndef CHE_FIFO

#define CHE_FIFO

#include <che_wfcb.h>

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/

   
WFCB_p FIFOEvalInit(WFCBPARAMETERS);

Eval_p FIFOEvalCompute(void* data, Clause_p clause);

void   FIFOEvalExit(void* data);


#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





