/*-----------------------------------------------------------------------

File  : che_heu_standard.h

Author: Stephan Schulz

Contents
 
  Functions describing the standard heuristic, interleaving
  Clauseweight and FIFO.

Changes

<1> Mon Jun  8 02:32:47 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CHE_HEU_STANDARD

#define CHE_HEU_STANDARD


#include <che_hcb.h>

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/


#define DEFAULT_CLAUSEWEIGHT_STEPS 4
#define DEFAULT_FIFO_STEPS         1


/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/


HCB_p HCBStandardCreate(WFCBPARAMETERS);

#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





