/*-----------------------------------------------------------------------

File  : che_heu_weight.h

Author: Stephan Schulz

Contents
 
  Functions describing the Clauseweight heuristic, using only the
  weight of a clause (used for determining the order of trying
  demodulators).

Changes

<1> Tue Jun  9 01:51:42 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CHE_HEU_WEIGHT

#define CHE_HEU_WEIGHT


#include <che_hcb.h>

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/


HCB_p HCBClauseweightCreate(WFCBPARAMETERS);


#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





