/*-----------------------------------------------------------------------

File  : cto_basefuns.h

Author: Stephan Schulz

Contents
 
  Some elementary functions for ordering-related stuff that did not
  really belong anywhere else...

Changes

<1> Mon Jun 22 17:43:06 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CTO_BASEFUNS

#define CTO_BASEFUNS

#include <cte_termfunc.h>

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/


typedef enum
{
   NoSide = 0,
   LeftSide = 1,
   MaxSide = 1,
   RightSide = 2,
   MinSide = 2,
   BothSides = 3
}EqnSide;


/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/

void    TermSetVarCounter(Term_p term, EqnSide code);
void    TermPairEqnSetVarCounter(Term_p lterm, Term_p rterm);

#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





