/*-----------------------------------------------------------------------

File  : cte_types.h

Author: Stephan Schulz

Contents
 
  Simple, widely used types (only useful for clearer naming
  conventions).

Changes

<1> Sun Nov  9 23:09:33 MET 1997
    New

-----------------------------------------------------------------------*/

#ifndef CTE_TYPES

#define CTE_TYPES



/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/

/* Function symbols in terms are represented by positive numbers,
   variables by negative numbers. This alias allows clearer
   specifications. */

typedef long FunCode;

/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/


#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





