#!/usr/local/dist/bin/gawk -f

#!/usr/bin/gawk -f

/Block /{
  if($3=="A:")
    {
      if(mem_array[$2])
	{
	  print $0 " doubly allocated";
	}
      else
	{
	  mem_array[$2] = $5;
	}
    }
  else
    {
      if(!mem_array[$2])
	{
	  print $0 " freeed but not allocated";
	}
      else
	{
	  if(mem_array[$2] != $5)
	    {
	      print $0 " freed with wrong size " mem_array[$1];
	    }
	  delete mem_array[$2];
	}
    }
}

END{
  for(i in mem_array)
    {
      print "Remaining: " i " " mem_array[i];
    }
}
