/*-----------------------------------------------------------------------

File  : cto_lpo.h

Author: Stephan Schulz

Contents
 
  Definitions for implementing an lexicographic path ordering.

Changes

<1> Mon May  4 19:31:42 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CTO_LPO

#define CTO_LPO

#include <cto_ocb.h>


/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/




/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/

bool          LPOGreater(OCB_p ocb, Term_p t1, Term_p t2);
CompareResult LPOCompare(OCB_p ocb, Term_p t1, Term_p t2);


#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/



