/*-----------------------------------------------------------------------

File  : cto_lpo.h

Author: Joachim Steinbach

Contents
 
  Definitions for implementing a lexicographic path ordering.

Changes

<1> Thu May 28 12:14:31 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CTO_LPO

#define CTO_LPO

#include <cto_ocb.h>


/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/




/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/

bool          LPOGreater(OCB_p ocb, Term_p s, Term_p t, DerefType
			 deref_s, DerefType deref_t);
CompareResult LPOCompare(OCB_p ocb, Term_p s, Term_p t, DerefType
			 deref_s, DerefType deref_t);


#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/
